Jump to content
Jack_mcs

Upgrading to the latest version

Recommended Posts

16 minutes ago, Philo2005 said:

Hi everybody

How can i update my Phoenix v1.0.4.0 shop to v1.0.5.0 ?

Or if you're not a member of the club it's on the osC download page...

https://www.oscommerce.com/Products

Dan

Share this post


Link to post
Share on other sites
1 hour ago, azpro said:

Sorry, we can't show this content because you do not have permission to see it.
???

 

Share this post


Link to post
Share on other sites

@Philo2005  Probably you can not see the content because you are not a member of the Phoenix club. I highly recommend to become a member and - even better -  a supporter of Phoenix. With a small donation youu support the project moving forward. And you get a lot of nice extra add-ons!

Share this post


Link to post
Share on other sites

PM @burt to be added to the Phoenix Club.  It's possible that he just hasn't had time to post the upgrade instructions in the Bootstrap forum.  Or he may have forgotten.  That's a reasonable question to ask him. 


Always back up before making changes.

Share this post


Link to post
Share on other sites

@burt

Hi Burt!
Will you make public the upgrade instruction in the regular forum from Phoenix v1.0.4.0 shop to v1.0.5.0  
or will it be only stay in the Phoenix Club?

Thanks for answering.
Best regards

 

 

Share this post


Link to post
Share on other sites

In another great version of Phoenix, an error appeared: 1054 - Unknown column 'categories_htc_description' in 'field list'

What does this mean? What did I do wrong?


Support forum for osCommerce in russian language - from Ashkelon. Support since 2002.

Best regards,

Fredi

Share this post


Link to post
Share on other sites
11 minutes ago, Fredi said:

In another great version of Phoenix, an error appeared: 1054 - Unknown column 'categories_htc_description' in 'field list'

What does this mean? What did I do wrong?

Apparently something is using code from the Header Tag Controller App but you don't have it installed.  This is presumably from some modification that you made to your store. 


Always back up before making changes.

Share this post


Link to post
Share on other sites

Thank You Matt.


Support forum for osCommerce in russian language - from Ashkelon. Support since 2002.

Best regards,

Fredi

Share this post


Link to post
Share on other sites

In addition module:  includes/modules/content/index/cm_i_category_images.php

Line 83

      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Category Description Source', 'MODULE_CONTENT_CATEGORY_IMAGES_CAT_DESC_SOURCE', 'categories_description', 'This is the sort order used in the output.', '6', '15', 'tep_cfg_select_option(array(\'categories_description\', \'categories_htc_description\'), ', now())");
 

to

      tep_db_query("insert into configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Category Description Source', 'MODULE_CONTENT_CATEGORY_IMAGES_CAT_DESC_SOURCE', 'categories_description', 'This is the sort order used in the output.', '6', '15', 'tep_cfg_select_option(array(\'categories_description\', \'categories_seo_description\'), ', now())");
 

Work OK.


Support forum for osCommerce in russian language - from Ashkelon. Support since 2002.

Best regards,

Fredi

Share this post


Link to post
Share on other sites

I just upgraded from 321 to 324 in several steps as indicated

But after upgrading from 2334 to 234 I have problems

I think everything went well, I can go into admin, my shop seems well.

But the problem is with the login on the catalog.

My client login is not accepted, create new login gives no result etc.

So the shop is fine, but nobody can login to buy and that is a big problem.

There is something wrong with the new content modules.

I double-checked everything concerning the upgrade, installation etc ads described in the manual for the new content modules

In admin I have an500-error when clicking on modules/content (it goes to admin/login.php)

when I manually put in admin/modules.php?set=content, then I, get only one shipment module and 4 modules to install.

But clicking on install modules (admin/modules.php?set=content&list=new) it gives me 4 more shipment modules to install.

I'm looking for a week trying to solve but ran out of ideas.

where do I have to find the issue and how can I solve it?

 

Edited by univer

Share this post


Link to post
Share on other sites

@univerI apologize for the delay in responding but I just noticed your post. It has been many years since 2.3.4.1 was released but I don't recall any problems with upgrading. I don't know what the cause of your problems is but the first thing I would try would be to empty the cache and sessions tables and turn off the gzip option, if it is on.

You really shouldn't be wasting your time on upgrading to a dead version. The latest version is Phoenix (on the download page) and it is far superior to 2.3.4.1. 

Share this post


Link to post
Share on other sites

Thank you for this answer.  I finally got it working in version 2.3.4 on https but without the new content, so I still use the older version for login. I would like to upgrade to Phoenix, but my problem is the payment tool being situated in Belgium. Ingenico (earlier Ogone) does not have an app for Phoenix. What payment tool could I use in Phoenix that I could use in Belgium?   

My shop is www.univer.be/shop

 

Edited by univer

Share this post


Link to post
Share on other sites

I'm not familiar with that payment module but any payment or shipping module that works in previous versions of oscommerce should work in Phoenix  once its code has been converted. That is usually not a big job. Also, you might want to start a new thread and ask what payment modules will work for Belgium sites.

Share this post


Link to post
Share on other sites

Hello. I need someone to do this for me. I have only found one company, ozeworks, and they can't do it until August. Does anybody know someone that can do it for me now? Harald isn't answering so I guess he's too busy. 

Thanks!

Share this post


Link to post
Share on other sites

The first thing I did after installing, was to run one of the old-to-new database conversion scripts on the default database.  I didn't back up that default database first, however.

Share this post


Link to post
Share on other sites

I have been using the original osCommerce version for years on a shop. I wanted to upgrade to CE Phoenix for the responsive template and PHP 7 compatibility. I installed CE Phoenix version 1.7.11 two months ago in December on a test shop and made few customizations. I just got some more time, and would like to update to the now current 1.7.14.

Seems the download only includes the full version, and I don't want to start over. There are no public instructions on how to upgrade between minor versions of CE Phoenix, there is no file/database changelog I could find. Reinstalling from scratch every time is just way too much hassle and does not allow for any customizations. This seems odd, to say the least. Even if there is no upgrade script, is there a reason that upgrade instructions are a guarded secret for a private group of "Phoenix club" members? 

Share this post


Link to post
Share on other sites
10 hours ago, philip71 said:

is there a reason that upgrade instructions are a guarded secret for a private group of "Phoenix club" members? 

Recommend that you join the Phoenix Club - it's easy to do.
I'm glad you've taken advantage of the work done by volunteers to provide Phoenix and the upgrade instructions.
So when you have joined the Phoenix Club, donate there to Go Pro to support the work that is done (and level up your shop with free Pro Supporters add-ons).

Share this post


Link to post
Share on other sites
10 hours ago, philip71 said:

To follow-up on this and eventually help others, I was able to update 1.0.7.11 to 1.0.7.14 following the Github instructions here: https://github.com/heatherbellho/CE-Phoenix-Updates ..  Thanks for the pointer ecartz !

I would not go up to the very latest version. Go back to 1.0.7.11 where there will be more working addons. Several developers are not upgrading their addons until 1.0.7.8 so be aware that you may be restricted to the features that work for the very latest version for now.


REMEMBER BACKUP, BACKUP AND BACKUP

Share this post


Link to post
Share on other sites
6 hours ago, Heatherbell said:

Recommend that you join the Phoenix Club - it's easy to do.
I'm glad you've taken advantage of the work done by volunteers to provide Phoenix and the upgrade instructions.
So when you have joined the Phoenix Club, donate there to Go Pro to support the work that is done (and level up your shop with free Pro Supporters add-ons).

I did apply to the Phoenix Club yesterday before I posted here, I just haven't received a response yet. I do appreciate the work that has been done to update osCommerce. Still, restricting simple upgrade instructions to those 700 members seems counterintuitive to growing the osCommerce/Phoenix community imho.

Share this post


Link to post
Share on other sites
5 hours ago, 14steve14 said:

I would not go up to the very latest version. Go back to 1.0.7.11 where there will be more working addons. Several developers are not upgrading their addons until 1.0.7.8 so be aware that you may be restricted to the features that work for the very latest version for now.

Thanks for the recommendation, it is appreciated. I don't plan on installing many addons yet, maybe just clone a couple of flat shipping ones. I am just testing, I imagine I will have to update again before going live at all.

Share this post


Link to post
Share on other sites
4 minutes ago, philip71 said:

Phoenix community imho.

The owner of Phoenix Club is currently busy with real life but will be back online soon to deal with memberships.
The Phoenix Club is the Phoenix community.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×